summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:23:39 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:23:39 (EDT)
commit4306988352b3b2670e7a8c81ab32d110e7777a09 (patch)
treea30fa0bbfe382a3f010657c9fffdb83e7fcb736c /lib
parente6b87cbe52ade706051e71e156bbc976c5c062f5 (diff)
lib/control.sh: Wrap long lines
Diffstat (limited to 'lib')
-rw-r--r--lib/control.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/lib/control.sh b/lib/control.sh
index ab37ef3..94314f3 100644
--- a/lib/control.sh
+++ b/lib/control.sh
@@ -100,7 +100,8 @@ ob_parse_control()
;;
[!\ ]*':'*) # "Name: Value" line.
if [ -n "${name}" ]; then
- if ! "${field_cb}" "${name}" "${value}" "${user_data}"; then
+ if ! "${field_cb}" "${name}" "${value}"\
+ "${user_data}"; then
return 0
fi
fi
@@ -109,8 +110,8 @@ ob_parse_control()
EOF
if [ -z "${name}" ]; then
# Badly formatted control field.
- _ob_parse_control_error "${file}" "${line_nr}" \
- 'control_bad_nv'
+ _ob_parse_control_error "${file}" \
+ "${line_nr}" 'control_bad_nv'
continue
fi
case "${got_fields}" in *" ${name} "*)
@@ -143,7 +144,8 @@ ob_parse_control()
' '*) # Continuation line.
if [ -z "${name}" ]; then
# Expecting a "Name: Value" line.
- _ob_parse_control_error "${file}" "${line_nr}" \
+ _ob_parse_control_error "${file}" \
+ "${line_nr}" \
'control_found_continuation'
continue
fi
@@ -238,7 +240,8 @@ ob_substvars()
local old_rhs=
local value=
- # Logic inspired by that of dpkg's Dpkg::Substvars::substvars() subroutine.
+ # Logic inspired by that of dpkg's Dpkg::Substvars::substvars()
+ # subroutine.
depth=0
@@ -253,8 +256,8 @@ ob_substvars()
rhs="${string#*\}}"
if [ ${#rhs} -lt ${#old_rhs} ]; then
- # Reset the nesting counter if we've advanced the right side of the
- # matched space.
+ # Reset the nesting counter if we've advanced the right
+ # side of the matched space.
depth=0
fi
if [ ${depth} -ge ${_OB_SUBSTVARS_MAX_DEPTH} ]; then